#! /usr/bin/env python

import unittest

import testGraphs

import testRepresentations

import testAlgorithms
import testWeightedGraphs

graphTestSuite = testGraphs.suite()
representationTestSuite = testRepresentations.suite()
algorithmTestSuite = testAlgorithms.suite()
weightedgraphTestSuite = testWeightedGraphs.suite()

testSuite = unittest.TestSuite([graphTestSuite, representationTestSuite, algorithmTestSuite, weightedgraphTestSuite])

unittest.TextTestRunner().run(testSuite)


#if __name__ == '__main__':
#    unittest.main()
